package com.hai.order.service;

import com.hai.entity.HighGasOrder;
import com.hai.model.OrderCountModel;
import com.hai.order.model.OrderCouponModal;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单扩展服务
 * @className: OrderExtService
 * @author: HuRui
 * @date: 2022/8/26
 **/
public interface OrderServiceExt {

    /**
     * 用户购买卡券数量
     * @param userId
     * @param couponId
     * @return
     */
    int userBuyCouponNum(Long userId,Long couponId);

    /**
     * 查询卡券订单列表
     * @param param
     * @return
     */
    List<OrderCouponModal> getOrderCouponList(Map<String, Object> param);

}
